package javax.xml.transform.sax;

import org.xml.sax.ext.LexicalHandler;
import org.xml.sax.ContentHandler;
import javax.xml.transform.Result;

public class SAXResult implements Result
{
    public static final String FEATURE = "http://javax.xml.transform.sax.SAXResult/feature";
    private ContentHandler handler;
    private LexicalHandler lexhandler;
    private String systemId;
    
    public SAXResult() {
    }
    
    public SAXResult(ContentHandler handler) {
        this.setHandler(handler);
    }
    
    public void setHandler(ContentHandler handler) {
        this.handler = handler;
    }
    
    public ContentHandler getHandler() {
        return this.handler;
    }
    
    public void setLexicalHandler(LexicalHandler handler) {
        this.lexhandler = handler;
    }
    
    public LexicalHandler getLexicalHandler() {
        return this.lexhandler;
    }
    
    @Override
    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }
    
    @Override
    public String getSystemId() {
        return this.systemId;
    }
}
